
Ruby - Bug #4562

[pull requested] ./config no-ssl2で作ったopensslとext/opensslが混ざらない

04/08/2011 01:25 AM - shyouhei (Shyouhei Urabe)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: - Backport:  

Description

=begin

ext/opensslにpull requestがきているので誰か判断してほしいんですが、誰に振るべきですかね。

https://github.com/ruby/ruby/pull/12

なおパッチを(私が)見た感じによると(私には)問題ない気がしてはいます。

=end

Related issues:

Is duplicate of Ruby - Feature #4556: Please add option which enable SSLv2 su... Closed 04/06/2011

Associated revisions

Revision 73868a54 - 04/25/2011 09:45 PM - iwamatsu (Nobuhiro Iwamatsu)

ext/openssl/extconf.rb: Should check SSLv2_*method.

openssl compiled with "no-ssl2" the extconf don't fail

when running `make' having this compilation errors.

Patched by Laurent Arnoud. fixes #4562, #4556

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31346 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 1049a5df - 05/30/2011 04:44 AM - yugui (Yuki Sonoda)

merges r31346 from trunk into ruby_1_9_2.

ext/openssl/extconf.rb: Should check SSLv2_*method.

openssl compiled with "no-ssl2" the extconf don't fail

when running `make' having this compilation errors.

Patched by Laurent Arnoud. fixes #4562, #4556

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_2@31816 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 488fcde0 - 06/26/2011 08:58 AM - shyouhei (Shyouhei Urabe)

merge revision(s) 31346,31528:

* ext/openssl/extconf.rb: Should check SSLv2_*method.

openssl compiled with "no-ssl2" the extconf don't fail

when running `make' having this compilation errors.

Patched by Laurent Arnoud. fixes #4562, #4556

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_8_7@32234 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e3f049d250d69acd3f254367d496d07984947aba - 02/08/2012 05:48 AM - Hiroshi Nakamura 

merge revision(s) 31346,31528:

* ext/openssl/extconf.rb: Should check SSLv2_*method.

openssl compiled with "no-ssl2" the extconf don't fail

when running `make' having this compilation errors.

Patched by Laurent Arnoud. fixes #4562, #4556

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_8@34483 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e3f049d2 - 02/08/2012 05:48 AM - Hiroshi Nakamura 

merge revision(s) 31346,31528:

* ext/openssl/extconf.rb: Should check SSLv2_*method.
openssl compiled with "no-ssl2" the extconf don't fail

when running `make' having this compilation errors.

Patched by Laurent Arnoud. fixes #4562, #4556

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_8@34483 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/08/2011 08:52 AM - iwamatsu (Nobuhiro Iwamatsu)

=begin

こんにちは。

同じ問題を issues/4556 でレポートしています。

=end

#2 - 04/08/2011 09:29 AM - naruse (Yui NARUSE)

=begin

Iwamatsu さんに ext/openssl のメンテナになってもらって、

なひさんや Martin さんと合議してもらえばいいんじゃないかと思い始めていたりはします。

=end

#3 - 04/12/2011 01:13 PM - iwamatsu (Nobuhiro Iwamatsu)

=begin

Yui NARUSE wrote:

Iwamatsu さんに ext/openssl のメンテナになってもらって、

なひさんや Martin さんと合議してもらえばいいんじゃないかと思い始めていたりはします。

 Laurent Arnoud さんのパッチ（こちらのパッチ）のほうがよいと思います。

パッチを適用して、動作確認まで行いました。

=end

#4 - 04/20/2011 02:40 PM - naruse (Yui NARUSE)

=begin

他の問題もそうなんですが、現状 ext/openssl はメンテナがいないため、

明白なバグはしょうがないから直すものの、そうでないものは放置されがちになっています。

この状況はつまりメンテナに誰かがなればいいのですが、岩松さんがなりませんか。

[[ruby:DeveloperHowtoJa]] や [[ruby:CommitterHowtoJa]] あたりが参考になります。

=end

#5 - 04/21/2011 02:51 PM - iwamatsu (Nobuhiro Iwamatsu)

=begin

Yui NARUSE wrote:

他の問題もそうなんですが、現状 ext/openssl はメンテナがいないため、

明白なバグはしょうがないから直すものの、そうでないものは放置されがちになっています。

この状況はつまりメンテナに誰かがなればいいのですが、岩松さんがなりませんか。

[[ruby:DeveloperHowtoJa]] や [[ruby:CommitterHowtoJa]] あたりが参考になります。

 以上、了解しました。

Ruby は使う機会あまりなかったのですが、これを期に Ruby の活用と貢献を積極的に

行いたいと思っています。

=end

#6 - 04/22/2011 03:23 PM - shugo (Shugo Maeda)

- ruby -v changed from trunk(rubyよりむしろopensslのほうが肝) to -

=begin

前田です。

2011年4月21日14:51 Nobuhiro Iwamatsu iwamatsu@nigauri.org:

他の問題もそうなんですが、現状 ext/openssl はメンテナがいないため、

明白なバグはしょうがないから直すものの、そうでないものは放置されがちになっています。

この状況はつまりメンテナに誰かがなればいいのですが、岩松さんがなりませんか。

[[ruby:DeveloperHowtoJa]] や [[ruby:CommitterHowtoJa]] あたりが参考になります。
 以上、了解しました。

Ruby は使う機会あまりなかったのですが、これを期に Ruby の活用と貢献を積極的に

行いたいと思っています。

 まつもとさんの確認が取れたので岩松さんのアカウントを作成しました。

なひさんによると、opensslのメンテナについてはBoßletさんもやる気があるようなので、

調整をお願いします。

--

Shugo Maeda

=end

#7 - 04/22/2011 03:23 PM - shugo (Shugo Maeda)

=begin

前田です。

2011年4月21日14:51 Nobuhiro Iwamatsu iwamatsu@nigauri.org:

他の問題もそうなんですが、現状 ext/openssl はメンテナがいないため、

明白なバグはしょうがないから直すものの、そうでないものは放置されがちになっています。

この状況はつまりメンテナに誰かがなればいいのですが、岩松さんがなりませんか。

[[ruby:DeveloperHowtoJa]] や [[ruby:CommitterHowtoJa]] あたりが参考になります。

 以上、了解しました。

Ruby は使う機会あまりなかったのですが、これを期に Ruby の活用と貢献を積極的に

行いたいと思っています。

 まつもとさんの確認が取れたので岩松さんのアカウントを作成しました。

なひさんによると、opensslのメンテナについてはBoßletさんもやる気があるようなので、

調整をお願いします。

--

Shugo Maeda

=end

#8 - 04/26/2011 06:45 AM - iwamatsu (Nobuhiro Iwamatsu)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r31346.

Shyouhei, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

ext/openssl/extconf.rb: Should check SSLv2_*method.

openssl compiled with "no-ssl2" the extconf don't fail

when running `make' having this compilation errors.

Patched by Laurent Arnoud. fixes #4562, #4556

=end
